package com.mortals.xhx.base.system.site.model;

import java.util.List;

/**
*
* Description:Site
* date: 2021-9-27 10:26:34
*/
public class SiteQuery extends SiteEntity{
    private static final long serialVersionUID = 1632709594629L;
    /** 开始 ID，主键，自增长 */
    private Long idStart;

    /** 结束 ID，主键，自增长 */
    private Long idEnd;

    /** 增加 ID，主键，自增长 */
    private Long idIncrement;

    /** ID，主键，自增长 */
    private List <Long> idList;


    /** 站点名 */
    private List<String> siteNameList;
    /** 开始 父级id */
    private Long parentIdStart;

    /** 结束 父级id */
    private Long parentIdEnd;

    /** 增加 父级id */
    private Long parentIdIncrement;

    /** 父级id */
    private List <Long> parentIdList;


    /** 祖级列表，逗号分隔 */
    private List<String> ancestorsList;

    /** 地址 */
    private List<String> addressList;

    /** 电话 */
    private List<String> mobileList;

    /** 单位介绍 */
    private List<String> introduceList;

    /** 开始 周一 1上班 0不上 */
    private Integer workday1Start;

    /** 结束 周一 1上班 0不上 */
    private Integer workday1End;

    /** 增加 周一 1上班 0不上 */
    private Integer workday1Increment;

    /** 周一 1上班 0不上 */
    private List <Integer> workday1List;

    /** 开始 周二 1上班 0不上 */
    private Integer workday2Start;

    /** 结束 周二 1上班 0不上 */
    private Integer workday2End;

    /** 增加 周二 1上班 0不上 */
    private Integer workday2Increment;

    /** 周二 1上班 0不上 */
    private List <Integer> workday2List;

    /** 开始 周三 1上班 0不上 */
    private Integer workday3Start;

    /** 结束 周三 1上班 0不上 */
    private Integer workday3End;

    /** 增加 周三 1上班 0不上 */
    private Integer workday3Increment;

    /** 周三 1上班 0不上 */
    private List <Integer> workday3List;

    /** 开始 周四 1上班 0不上 */
    private Integer workday4Start;

    /** 结束 周四 1上班 0不上 */
    private Integer workday4End;

    /** 增加 周四 1上班 0不上 */
    private Integer workday4Increment;

    /** 周四 1上班 0不上 */
    private List <Integer> workday4List;

    /** 开始 周五 1上班 0不上 */
    private Integer workday5Start;

    /** 结束 周五 1上班 0不上 */
    private Integer workday5End;

    /** 增加 周五 1上班 0不上 */
    private Integer workday5Increment;

    /** 周五 1上班 0不上 */
    private List <Integer> workday5List;

    /** 开始 周六 1上班 0不上 */
    private Integer workday6Start;

    /** 结束 周六 1上班 0不上 */
    private Integer workday6End;

    /** 增加 周六 1上班 0不上 */
    private Integer workday6Increment;

    /** 周六 1上班 0不上 */
    private List <Integer> workday6List;

    /** 开始 周日 1上班 0不上 */
    private Integer workday7Start;

    /** 结束 周日 1上班 0不上 */
    private Integer workday7End;

    /** 增加 周日 1上班 0不上 */
    private Integer workday7Increment;

    /** 周日 1上班 0不上 */
    private List <Integer> workday7List;

    /** 站点编号 */
    private List<String> numberList;

    /** 中心介绍 */
    private List<String> summaryList;

    /** 开始 排序字段 */
    private Integer orderNumStart;

    /** 结束 排序字段 */
    private Integer orderNumEnd;

    /** 增加 排序字段 */
    private Integer orderNumIncrement;

    /** 排序字段 */
    private List <Integer> orderNumList;

    /** 开始 站点状态 ，0，停用，1，正常 默认1 */
    private Integer statusStart;

    /** 结束 站点状态 ，0，停用，1，正常 默认1 */
    private Integer statusEnd;

    /** 增加 站点状态 ，0，停用，1，正常 默认1 */
    private Integer statusIncrement;

    /** 站点状态 ，0，停用，1，正常 默认1 */
    private List <Integer> statusList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteQuery> andConditionList;


    public SiteQuery(){
    }

    /**
    * 获取 开始 ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 站点名
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 父级id
    * @return parentIdStart
    */
    public Long getParentIdStart(){
    return this.parentIdStart;
    }

    /**
    * 设置 开始 父级id
    * @param parentIdStart
    */
    public void setParentIdStart(Long parentIdStart){
    this.parentIdStart = parentIdStart;
    }

    /**
    * 获取 结束 父级id
    * @return parentIdEnd
    */
    public Long getParentIdEnd(){
    return this.parentIdEnd;
    }

    /**
    * 设置 结束 父级id
    * @param parentIdEnd
    */
    public void setParentIdEnd(Long parentIdEnd){
    this.parentIdEnd = parentIdEnd;
    }

    /**
    * 获取 增加 父级id
    * @return parentIdIncrement
    */
    public Long getParentIdIncrement(){
    return this.parentIdIncrement;
    }

    /**
    * 设置 增加 父级id
    * @param parentIdIncrement
    */
    public void setParentIdIncrement(Long parentIdIncrement){
    this.parentIdIncrement = parentIdIncrement;
    }

    /**
    * 获取 父级id
    * @return parentIdList
    */
    public List<Long> getParentIdList(){
    return this.parentIdList;
    }

    /**
    * 设置 父级id
    * @param parentIdList
    */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
        }
    /**
    * 获取 祖级列表，逗号分隔
    * @return ancestorsList
    */
    public List<String> getAncestorsList(){
        return this.ancestorsList;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public void setAncestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
    }
    /**
    * 获取 地址
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 地址
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }
    /**
    * 获取 电话
    * @return mobileList
    */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
    * 设置 电话
    * @param mobileList
    */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }
    /**
    * 获取 单位介绍
    * @return introduceList
    */
    public List<String> getIntroduceList(){
        return this.introduceList;
    }

    /**
    * 设置 单位介绍
    * @param introduceList
    */
    public void setIntroduceList(List<String> introduceList){
        this.introduceList = introduceList;
    }
    /**
    * 获取 开始 周一 1上班 0不上
    * @return workday1Start
    */
    public Integer getWorkday1Start(){
        return this.workday1Start;
    }

    /**
    * 设置 开始 周一 1上班 0不上
    * @param workday1Start
    */
    public void setWorkday1Start(Integer workday1Start){
        this.workday1Start = workday1Start;
    }

    /**
    * 获取 结束 周一 1上班 0不上
    * @return workday1End
    */
    public Integer getWorkday1End(){
        return this.workday1End;
    }

    /**
    * 设置 结束 周一 1上班 0不上
    * @param workday1End
    */
    public void setWorkday1End(Integer workday1End){
        this.workday1End = workday1End;
    }

    /**
    * 获取 增加 周一 1上班 0不上
    * @return workday1Increment
    */
    public Integer getWorkday1Increment(){
        return this.workday1Increment;
    }

    /**
    * 设置 增加 周一 1上班 0不上
    * @param workday1Increment
    */
    public void setWorkday1Increment(Integer workday1Increment){
        this.workday1Increment = workday1Increment;
    }

    /**
    * 获取 周一 1上班 0不上
    * @return workday1List
    */
    public List<Integer> getWorkday1List(){
        return this.workday1List;
    }

    /**
    * 设置 周一 1上班 0不上
    * @param workday1List
    */
    public void setWorkday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
    }
    /**
    * 获取 开始 周二 1上班 0不上
    * @return workday2Start
    */
    public Integer getWorkday2Start(){
        return this.workday2Start;
    }

    /**
    * 设置 开始 周二 1上班 0不上
    * @param workday2Start
    */
    public void setWorkday2Start(Integer workday2Start){
        this.workday2Start = workday2Start;
    }

    /**
    * 获取 结束 周二 1上班 0不上
    * @return workday2End
    */
    public Integer getWorkday2End(){
        return this.workday2End;
    }

    /**
    * 设置 结束 周二 1上班 0不上
    * @param workday2End
    */
    public void setWorkday2End(Integer workday2End){
        this.workday2End = workday2End;
    }

    /**
    * 获取 增加 周二 1上班 0不上
    * @return workday2Increment
    */
    public Integer getWorkday2Increment(){
        return this.workday2Increment;
    }

    /**
    * 设置 增加 周二 1上班 0不上
    * @param workday2Increment
    */
    public void setWorkday2Increment(Integer workday2Increment){
        this.workday2Increment = workday2Increment;
    }

    /**
    * 获取 周二 1上班 0不上
    * @return workday2List
    */
    public List<Integer> getWorkday2List(){
        return this.workday2List;
    }

    /**
    * 设置 周二 1上班 0不上
    * @param workday2List
    */
    public void setWorkday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
    }
    /**
    * 获取 开始 周三 1上班 0不上
    * @return workday3Start
    */
    public Integer getWorkday3Start(){
        return this.workday3Start;
    }

    /**
    * 设置 开始 周三 1上班 0不上
    * @param workday3Start
    */
    public void setWorkday3Start(Integer workday3Start){
        this.workday3Start = workday3Start;
    }

    /**
    * 获取 结束 周三 1上班 0不上
    * @return workday3End
    */
    public Integer getWorkday3End(){
        return this.workday3End;
    }

    /**
    * 设置 结束 周三 1上班 0不上
    * @param workday3End
    */
    public void setWorkday3End(Integer workday3End){
        this.workday3End = workday3End;
    }

    /**
    * 获取 增加 周三 1上班 0不上
    * @return workday3Increment
    */
    public Integer getWorkday3Increment(){
        return this.workday3Increment;
    }

    /**
    * 设置 增加 周三 1上班 0不上
    * @param workday3Increment
    */
    public void setWorkday3Increment(Integer workday3Increment){
        this.workday3Increment = workday3Increment;
    }

    /**
    * 获取 周三 1上班 0不上
    * @return workday3List
    */
    public List<Integer> getWorkday3List(){
        return this.workday3List;
    }

    /**
    * 设置 周三 1上班 0不上
    * @param workday3List
    */
    public void setWorkday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
    }
    /**
    * 获取 开始 周四 1上班 0不上
    * @return workday4Start
    */
    public Integer getWorkday4Start(){
        return this.workday4Start;
    }

    /**
    * 设置 开始 周四 1上班 0不上
    * @param workday4Start
    */
    public void setWorkday4Start(Integer workday4Start){
        this.workday4Start = workday4Start;
    }

    /**
    * 获取 结束 周四 1上班 0不上
    * @return workday4End
    */
    public Integer getWorkday4End(){
        return this.workday4End;
    }

    /**
    * 设置 结束 周四 1上班 0不上
    * @param workday4End
    */
    public void setWorkday4End(Integer workday4End){
        this.workday4End = workday4End;
    }

    /**
    * 获取 增加 周四 1上班 0不上
    * @return workday4Increment
    */
    public Integer getWorkday4Increment(){
        return this.workday4Increment;
    }

    /**
    * 设置 增加 周四 1上班 0不上
    * @param workday4Increment
    */
    public void setWorkday4Increment(Integer workday4Increment){
        this.workday4Increment = workday4Increment;
    }

    /**
    * 获取 周四 1上班 0不上
    * @return workday4List
    */
    public List<Integer> getWorkday4List(){
        return this.workday4List;
    }

    /**
    * 设置 周四 1上班 0不上
    * @param workday4List
    */
    public void setWorkday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
    }
    /**
    * 获取 开始 周五 1上班 0不上
    * @return workday5Start
    */
    public Integer getWorkday5Start(){
        return this.workday5Start;
    }

    /**
    * 设置 开始 周五 1上班 0不上
    * @param workday5Start
    */
    public void setWorkday5Start(Integer workday5Start){
        this.workday5Start = workday5Start;
    }

    /**
    * 获取 结束 周五 1上班 0不上
    * @return workday5End
    */
    public Integer getWorkday5End(){
        return this.workday5End;
    }

    /**
    * 设置 结束 周五 1上班 0不上
    * @param workday5End
    */
    public void setWorkday5End(Integer workday5End){
        this.workday5End = workday5End;
    }

    /**
    * 获取 增加 周五 1上班 0不上
    * @return workday5Increment
    */
    public Integer getWorkday5Increment(){
        return this.workday5Increment;
    }

    /**
    * 设置 增加 周五 1上班 0不上
    * @param workday5Increment
    */
    public void setWorkday5Increment(Integer workday5Increment){
        this.workday5Increment = workday5Increment;
    }

    /**
    * 获取 周五 1上班 0不上
    * @return workday5List
    */
    public List<Integer> getWorkday5List(){
        return this.workday5List;
    }

    /**
    * 设置 周五 1上班 0不上
    * @param workday5List
    */
    public void setWorkday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
    }
    /**
    * 获取 开始 周六 1上班 0不上
    * @return workday6Start
    */
    public Integer getWorkday6Start(){
        return this.workday6Start;
    }

    /**
    * 设置 开始 周六 1上班 0不上
    * @param workday6Start
    */
    public void setWorkday6Start(Integer workday6Start){
        this.workday6Start = workday6Start;
    }

    /**
    * 获取 结束 周六 1上班 0不上
    * @return workday6End
    */
    public Integer getWorkday6End(){
        return this.workday6End;
    }

    /**
    * 设置 结束 周六 1上班 0不上
    * @param workday6End
    */
    public void setWorkday6End(Integer workday6End){
        this.workday6End = workday6End;
    }

    /**
    * 获取 增加 周六 1上班 0不上
    * @return workday6Increment
    */
    public Integer getWorkday6Increment(){
        return this.workday6Increment;
    }

    /**
    * 设置 增加 周六 1上班 0不上
    * @param workday6Increment
    */
    public void setWorkday6Increment(Integer workday6Increment){
        this.workday6Increment = workday6Increment;
    }

    /**
    * 获取 周六 1上班 0不上
    * @return workday6List
    */
    public List<Integer> getWorkday6List(){
        return this.workday6List;
    }

    /**
    * 设置 周六 1上班 0不上
    * @param workday6List
    */
    public void setWorkday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
    }
    /**
    * 获取 开始 周日 1上班 0不上
    * @return workday7Start
    */
    public Integer getWorkday7Start(){
        return this.workday7Start;
    }

    /**
    * 设置 开始 周日 1上班 0不上
    * @param workday7Start
    */
    public void setWorkday7Start(Integer workday7Start){
        this.workday7Start = workday7Start;
    }

    /**
    * 获取 结束 周日 1上班 0不上
    * @return workday7End
    */
    public Integer getWorkday7End(){
        return this.workday7End;
    }

    /**
    * 设置 结束 周日 1上班 0不上
    * @param workday7End
    */
    public void setWorkday7End(Integer workday7End){
        this.workday7End = workday7End;
    }

    /**
    * 获取 增加 周日 1上班 0不上
    * @return workday7Increment
    */
    public Integer getWorkday7Increment(){
        return this.workday7Increment;
    }

    /**
    * 设置 增加 周日 1上班 0不上
    * @param workday7Increment
    */
    public void setWorkday7Increment(Integer workday7Increment){
        this.workday7Increment = workday7Increment;
    }

    /**
    * 获取 周日 1上班 0不上
    * @return workday7List
    */
    public List<Integer> getWorkday7List(){
        return this.workday7List;
    }

    /**
    * 设置 周日 1上班 0不上
    * @param workday7List
    */
    public void setWorkday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
    }
    /**
    * 获取 站点编号
    * @return numberList
    */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 站点编号
    * @param numberList
    */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }
    /**
    * 获取 中心介绍
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 中心介绍
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 排序字段
    * @return orderNumStart
    */
    public Integer getOrderNumStart(){
        return this.orderNumStart;
    }

    /**
    * 设置 开始 排序字段
    * @param orderNumStart
    */
    public void setOrderNumStart(Integer orderNumStart){
        this.orderNumStart = orderNumStart;
    }

    /**
    * 获取 结束 排序字段
    * @return orderNumEnd
    */
    public Integer getOrderNumEnd(){
        return this.orderNumEnd;
    }

    /**
    * 设置 结束 排序字段
    * @param orderNumEnd
    */
    public void setOrderNumEnd(Integer orderNumEnd){
        this.orderNumEnd = orderNumEnd;
    }

    /**
    * 获取 增加 排序字段
    * @return orderNumIncrement
    */
    public Integer getOrderNumIncrement(){
        return this.orderNumIncrement;
    }

    /**
    * 设置 增加 排序字段
    * @param orderNumIncrement
    */
    public void setOrderNumIncrement(Integer orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
    }

    /**
    * 获取 排序字段
    * @return orderNumList
    */
    public List<Integer> getOrderNumList(){
        return this.orderNumList;
    }

    /**
    * 设置 排序字段
    * @param orderNumList
    */
    public void setOrderNumList(List<Integer> orderNumList){
        this.orderNumList = orderNumList;
    }
    /**
    * 获取 开始 站点状态 ，0，停用，1，正常 默认1
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 站点状态 ，0，停用，1，正常 默认1
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 站点状态 ，0，停用，1，正常 默认1
    * @return statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 站点状态 ，0，停用，1，正常 默认1
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 站点状态 ，0，停用，1，正常 默认1
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 站点状态 ，0，停用，1，正常 默认1
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 站点状态 ，0，停用，1，正常 默认1
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 站点状态 ，0，停用，1，正常 默认1
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  ID，主键，自增长
    * @param id
    */
    public SiteQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID，主键，自增长
    * @param idStart
    */
    public SiteQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID，主键，自增长
    * @param idEnd
    */
    public SiteQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID，主键，自增长
    * @param idIncrement
    */
    public SiteQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID，主键，自增长
    * @param idList
    */
    public SiteQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 站点名
    * @param siteName
    */
    public SiteQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }


    /**
    * 设置 站点名
    * @param siteNameList
    */
    public SiteQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

	/**
    * 设置  父级id
    * @param parentId
    */
    public SiteQuery parentId(Long parentId){
	    setParentId(parentId);
		return this;
    }
	
	 /**
    * 设置 开始 父级id
    * @param parentIdStart
    */
    public SiteQuery parentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
		return this;
    }

    /**
    * 设置 结束 父级id
    * @param parentIdEnd
    */
    public SiteQuery parentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
		return this;
    }

    /**
    * 设置 增加 父级id
    * @param parentIdIncrement
    */
    public SiteQuery parentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
		return this;
    }

    /**
    * 设置 父级id
    * @param parentIdList
    */
    public SiteQuery parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
		return this;
        }
	/**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public SiteQuery ancestors(String ancestors){
        setAncestors(ancestors);
		return this;
    }


    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public SiteQuery ancestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
		return this;
    }
	/**
    * 设置 地址
    * @param address
    */
    public SiteQuery address(String address){
        setAddress(address);
		return this;
    }


    /**
    * 设置 地址
    * @param addressList
    */
    public SiteQuery addressList(List<String> addressList){
        this.addressList = addressList;
		return this;
    }
	/**
    * 设置 电话
    * @param mobile
    */
    public SiteQuery mobile(String mobile){
        setMobile(mobile);
		return this;
    }


    /**
    * 设置 电话
    * @param mobileList
    */
    public SiteQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
		return this;
    }
	/**
    * 设置 单位介绍
    * @param introduce
    */
    public SiteQuery introduce(String introduce){
        setIntroduce(introduce);
		return this;
    }


    /**
    * 设置 单位介绍
    * @param introduceList
    */
    public SiteQuery introduceList(List<String> introduceList){
        this.introduceList = introduceList;
		return this;
    }
	
	/**
    * 设置  周一 1上班 0不上
    * @param workday1
    */
    public SiteQuery workday1(Integer workday1){
        setWorkday1(workday1);
		return this;
    }

    /**
    * 设置 开始 周一 1上班 0不上
    * @param workday1Start
    */
    public SiteQuery workday1Start(Integer workday1Start){
        this.workday1Start = workday1Start;
		return this;
    }


    /**
    * 设置 结束 周一 1上班 0不上
    * @param workday1End
    */
    public SiteQuery workday1End(Integer workday1End){
        this.workday1End = workday1End;
		return this;
    }


    /**
    * 设置 增加 周一 1上班 0不上
    * @param workday1Increment
    */
    public SiteQuery workday1Increment(Integer workday1Increment){
        this.workday1Increment = workday1Increment;
		return this;
    }


    /**
    * 设置 周一 1上班 0不上
    * @param workday1List
    */
    public SiteQuery workday1List(List<Integer> workday1List){
        this.workday1List = workday1List;
		return this;
    }
	
	/**
    * 设置  周二 1上班 0不上
    * @param workday2
    */
    public SiteQuery workday2(Integer workday2){
        setWorkday2(workday2);
		return this;
    }

    /**
    * 设置 开始 周二 1上班 0不上
    * @param workday2Start
    */
    public SiteQuery workday2Start(Integer workday2Start){
        this.workday2Start = workday2Start;
		return this;
    }


    /**
    * 设置 结束 周二 1上班 0不上
    * @param workday2End
    */
    public SiteQuery workday2End(Integer workday2End){
        this.workday2End = workday2End;
		return this;
    }


    /**
    * 设置 增加 周二 1上班 0不上
    * @param workday2Increment
    */
    public SiteQuery workday2Increment(Integer workday2Increment){
        this.workday2Increment = workday2Increment;
		return this;
    }


    /**
    * 设置 周二 1上班 0不上
    * @param workday2List
    */
    public SiteQuery workday2List(List<Integer> workday2List){
        this.workday2List = workday2List;
		return this;
    }
	
	/**
    * 设置  周三 1上班 0不上
    * @param workday3
    */
    public SiteQuery workday3(Integer workday3){
        setWorkday3(workday3);
		return this;
    }

    /**
    * 设置 开始 周三 1上班 0不上
    * @param workday3Start
    */
    public SiteQuery workday3Start(Integer workday3Start){
        this.workday3Start = workday3Start;
		return this;
    }


    /**
    * 设置 结束 周三 1上班 0不上
    * @param workday3End
    */
    public SiteQuery workday3End(Integer workday3End){
        this.workday3End = workday3End;
		return this;
    }


    /**
    * 设置 增加 周三 1上班 0不上
    * @param workday3Increment
    */
    public SiteQuery workday3Increment(Integer workday3Increment){
        this.workday3Increment = workday3Increment;
		return this;
    }


    /**
    * 设置 周三 1上班 0不上
    * @param workday3List
    */
    public SiteQuery workday3List(List<Integer> workday3List){
        this.workday3List = workday3List;
		return this;
    }
	
	/**
    * 设置  周四 1上班 0不上
    * @param workday4
    */
    public SiteQuery workday4(Integer workday4){
        setWorkday4(workday4);
		return this;
    }

    /**
    * 设置 开始 周四 1上班 0不上
    * @param workday4Start
    */
    public SiteQuery workday4Start(Integer workday4Start){
        this.workday4Start = workday4Start;
		return this;
    }


    /**
    * 设置 结束 周四 1上班 0不上
    * @param workday4End
    */
    public SiteQuery workday4End(Integer workday4End){
        this.workday4End = workday4End;
		return this;
    }


    /**
    * 设置 增加 周四 1上班 0不上
    * @param workday4Increment
    */
    public SiteQuery workday4Increment(Integer workday4Increment){
        this.workday4Increment = workday4Increment;
		return this;
    }


    /**
    * 设置 周四 1上班 0不上
    * @param workday4List
    */
    public SiteQuery workday4List(List<Integer> workday4List){
        this.workday4List = workday4List;
		return this;
    }
	
	/**
    * 设置  周五 1上班 0不上
    * @param workday5
    */
    public SiteQuery workday5(Integer workday5){
        setWorkday5(workday5);
		return this;
    }

    /**
    * 设置 开始 周五 1上班 0不上
    * @param workday5Start
    */
    public SiteQuery workday5Start(Integer workday5Start){
        this.workday5Start = workday5Start;
		return this;
    }


    /**
    * 设置 结束 周五 1上班 0不上
    * @param workday5End
    */
    public SiteQuery workday5End(Integer workday5End){
        this.workday5End = workday5End;
		return this;
    }


    /**
    * 设置 增加 周五 1上班 0不上
    * @param workday5Increment
    */
    public SiteQuery workday5Increment(Integer workday5Increment){
        this.workday5Increment = workday5Increment;
		return this;
    }


    /**
    * 设置 周五 1上班 0不上
    * @param workday5List
    */
    public SiteQuery workday5List(List<Integer> workday5List){
        this.workday5List = workday5List;
		return this;
    }
	
	/**
    * 设置  周六 1上班 0不上
    * @param workday6
    */
    public SiteQuery workday6(Integer workday6){
        setWorkday6(workday6);
		return this;
    }

    /**
    * 设置 开始 周六 1上班 0不上
    * @param workday6Start
    */
    public SiteQuery workday6Start(Integer workday6Start){
        this.workday6Start = workday6Start;
		return this;
    }


    /**
    * 设置 结束 周六 1上班 0不上
    * @param workday6End
    */
    public SiteQuery workday6End(Integer workday6End){
        this.workday6End = workday6End;
		return this;
    }


    /**
    * 设置 增加 周六 1上班 0不上
    * @param workday6Increment
    */
    public SiteQuery workday6Increment(Integer workday6Increment){
        this.workday6Increment = workday6Increment;
		return this;
    }


    /**
    * 设置 周六 1上班 0不上
    * @param workday6List
    */
    public SiteQuery workday6List(List<Integer> workday6List){
        this.workday6List = workday6List;
		return this;
    }
	
	/**
    * 设置  周日 1上班 0不上
    * @param workday7
    */
    public SiteQuery workday7(Integer workday7){
        setWorkday7(workday7);
		return this;
    }

    /**
    * 设置 开始 周日 1上班 0不上
    * @param workday7Start
    */
    public SiteQuery workday7Start(Integer workday7Start){
        this.workday7Start = workday7Start;
		return this;
    }


    /**
    * 设置 结束 周日 1上班 0不上
    * @param workday7End
    */
    public SiteQuery workday7End(Integer workday7End){
        this.workday7End = workday7End;
		return this;
    }


    /**
    * 设置 增加 周日 1上班 0不上
    * @param workday7Increment
    */
    public SiteQuery workday7Increment(Integer workday7Increment){
        this.workday7Increment = workday7Increment;
		return this;
    }


    /**
    * 设置 周日 1上班 0不上
    * @param workday7List
    */
    public SiteQuery workday7List(List<Integer> workday7List){
        this.workday7List = workday7List;
		return this;
    }
	/**
    * 设置 站点编号
    * @param number
    */
    public SiteQuery number(String number){
        setNumber(number);
		return this;
    }


    /**
    * 设置 站点编号
    * @param numberList
    */
    public SiteQuery numberList(List<String> numberList){
        this.numberList = numberList;
		return this;
    }
	/**
    * 设置 中心介绍
    * @param summary
    */
    public SiteQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 中心介绍
    * @param summaryList
    */
    public SiteQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }
	
	/**
    * 设置  排序字段
    * @param orderNum
    */
    public SiteQuery orderNum(Integer orderNum){
        setOrderNum(orderNum);
		return this;
    }

    /**
    * 设置 开始 排序字段
    * @param orderNumStart
    */
    public SiteQuery orderNumStart(Integer orderNumStart){
        this.orderNumStart = orderNumStart;
		return this;
    }


    /**
    * 设置 结束 排序字段
    * @param orderNumEnd
    */
    public SiteQuery orderNumEnd(Integer orderNumEnd){
        this.orderNumEnd = orderNumEnd;
		return this;
    }


    /**
    * 设置 增加 排序字段
    * @param orderNumIncrement
    */
    public SiteQuery orderNumIncrement(Integer orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
		return this;
    }


    /**
    * 设置 排序字段
    * @param orderNumList
    */
    public SiteQuery orderNumList(List<Integer> orderNumList){
        this.orderNumList = orderNumList;
		return this;
    }
	
	/**
    * 设置  站点状态 ，0，停用，1，正常 默认1
    * @param status
    */
    public SiteQuery status(Integer status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 开始 站点状态 ，0，停用，1，正常 默认1
    * @param statusStart
    */
    public SiteQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
		return this;
    }


    /**
    * 设置 结束 站点状态 ，0，停用，1，正常 默认1
    * @param statusEnd
    */
    public SiteQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
		return this;
    }


    /**
    * 设置 增加 站点状态 ，0，停用，1，正常 默认1
    * @param statusIncrement
    */
    public SiteQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
		return this;
    }


    /**
    * 设置 站点状态 ，0，停用，1，正常 默认1
    * @param statusList
    */
    public SiteQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public SiteQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public SiteQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public SiteQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public SiteQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public SiteQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public SiteQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public SiteQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public SiteQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}